#include "ChallengeViewData.h"


FChallengeViewData::FChallengeViewData()
{
	this->Id = TEXT("");
	this->ChallengeOrder = 0;
	this->ChallengeTitle = TEXT("");
	this->ChallengeDescription = TEXT("");
	this->ChallengeIcon = NULL;
	this->LifetimeInDays = 0;
	this->Objectives = TMap<FString, FChallengeObjectiveViewData>();
	this->Progression = TMap<FString, FChallengeObjectiveProgressionViewData>();
	this->RewardPoints = 0;
	this->RewardPointsProgressionData = FRewardWrapperViewData{};
	this->Rewards = TArray<FRewardWrapperViewData>();
	this->ChallengeType = EChallengeType::Basic;
	this->StartTime = FDateTime{};
	this->EndTime = FDateTime{};
	this->RoleType = EPlayerRole::VE_None;
}
